Wine 3.7の脆弱性(CVE-2018-12932 , CVE-2018-12933 )




07/02/2018にWine 3.7の脆弱性 (CVE-2018-12932 , CVE-2018-12933 )が公開されています。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。


 

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

07/02/2018にWine 3.7の脆弱性 (CVE-2018-12932 , CVE-2018-12933 )が公開されています。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。



Priority

Moderate(CVE-2018-12932, CVE-2018-12933)

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12932
    • DoS(ヒープベースバッファーオーバーフロー)の可能性

    • 重要度 - Moderate

    • Wine 3.7のenhmetafile.c中のPlayEnhMetaFileRecord()に問題が有り、攻撃者がpCreatePen->ihPen array インデックスをコントロールすることによりDoS(境界外書き込み)を発生させる事が出来る可能性があります。

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12933
    • DoS(境界外書き込み)の可能性

    • 重要度 - Moderate

    • Wine 3.7のenhmetafile.c中のPlayEnhMetaFileRecord()に問題が有り、攻撃者がpCreatePen->ihPen array インデックスをコントロールすることによりDoS(境界外書き込み)を発生させる事が出来る可能性があります。



対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteやKatello、Spacewalk等を使うと管理が便利でしょう。

[参考]

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12932

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12933

セキュリティ系連載案内


セミナー情報

2018年07月13日 (金) 19:00から、「OSSセキュリティ技術の会 第三回勉強会 (副題:"Keycloak"で、"認証王"に!!!おれはなるっ!!!!)」 と題しまして、OSS認証基盤のKeycloakに特化した話をさせて頂きます。

https://secureoss-sig.connpass.com/event/90917/がプログラム内容と申し込みの詳細になりますので、是非お申し込み下さい。

前へ

Linux Kernelの複数の脆弱性(CVE-2018-12928 , CVE-2018-12929 , CVE-2018-12930, CVE-2018-12931 )

次へ

perl-archive-zipの脆弱性(CVE-2018-10860)